Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SuggestionCollector.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector;
8
9 use eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion;
10
11 class SuggestionCollector implements SuggestionCollectorInterface
12 {
14 private $suggestions = [];
15
21 public function addSuggestion(ConfigSuggestion $suggestion)
22 {
23 $this->suggestions[] = $suggestion;
24 }
25
31 public function getSuggestions()
32 {
33 return $this->suggestions;
34 }
35
39 public function hasSuggestions()
40 {
41 return !empty($this->suggestions);
42 }
43 }
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector
Definition: SuggestionCollector.php:12
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector\$suggestions
$suggestions
Definition: SuggestionCollector.php:14
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector\hasSuggestions
hasSuggestions()
Definition: SuggestionCollector.php:39
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector\addSuggestion
addSuggestion(ConfigSuggestion $suggestion)
Adds a config suggestion to the list.
Definition: SuggestionCollector.php:21
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector\getSuggestions
getSuggestions()
Returns all config suggestions.
Definition: SuggestionCollector.php:31
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion
ConfigSuggestion is a value object holding a suggestion change for semantic configuration.
Definition: ConfigSuggestion.php:14
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface
Interface for configuration suggestion collectors.
Definition: SuggestionCollectorInterface.php:15
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector
Definition: SuggestionCollector.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.